/**************************************************** -*- linux-c -*- *
 *                  ParaStation
 *
 * Copyright (c) 2007 ParTec Cluster Competence Center GmbH
 * All rights reserved.
 **********************************************************************/
/**
 * $Id: pscom_con.h 4921 2007-06-20 15:51:17Z hauke $
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 **********************************************************************/
#ifndef _PSCOM_CON_H_
#define _PSCOM_CON_H_
#include "pscom_priv.h"

void pscom_con_accept(ufd_t *ufd, ufd_funcinfo_t *ufd_info);

// clear all recvq's of this connection. finish all recv requests
// of this connection with error. (keep recv any!)
void pscom_con_terminate_recvq(pscom_con_t *con);
void pscom_con_close(pscom_con_t *con);

#endif /* _PSCOM_CON_H_ */
