/*
 *               ParaStation
 *
 * Copyright (C) 2002-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 * All rights reserved.
 *
 * $Id: pscom_tcp.h 4919 2007-06-20 14:52:59Z hauke $
 *
 * psport_tcp.h: Header for tcp communication
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/

#ifndef _PSPORT_TCP_H_
#define _PSPORT_TCP_H_

#include "pscom_types.h"
#include "pscom_plugin.h"

typedef struct tcp_conn_s {
	int	con_fd;
	int	ufd_idx;
} tcp_conn_t;


typedef struct tcp_sock_s {
} tcp_sock_t;


extern pscom_plugin_t pscom_plugin_tcp;

#endif /* _PSPORT_TCP_H_ */
