/*
 *               ParaStation
 *
 * Copyright (C) 2002-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 *
 * $Id: psport_gm.h 3540 2005-02-14 13:37:55Z hauke $
 *
 * psport_gm.h: Header for GM communication
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/

#ifndef _PSPORT_GM_H_
#define _PSPORT_GM_H_

typedef struct psgm_con_info_s psgm_con_info_t;

typedef struct psgm_info_s {
    struct list_head next;
    struct list_head next_send;
    psgm_con_info_t *gmcon;
} psgm_info_t;

int PSP_connect_gm(PSP_Port_t *port, PSP_Connection_t *con, int con_fd);
int PSP_accept_gm(PSP_Port_t *port, PSP_Connection_t *con, int con_fd);
int PSP_do_sendrecv_gm(PSP_Port_t *port);

void PSP_gm_init(PSP_Port_t *port);

void PSP_terminate_con_gm(PSP_Port_t *port, PSP_Connection_t *con);

#endif /* _PSPORT_GM_H_ */
