/*
 *               ParaStation
 *
 * Copyright (C) 2002-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 *
 * $Id: p4ether_pub.h 3540 2005-02-14 13:37:55Z hauke $
 *
 */
/**
 * p4ether_pub.h: p4ether public Prototypes
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/
/*
 * 2002-04-02 Jens Hauke <hauke@par-tec.com>
 */

#ifndef _P4ETHER_PUB_H_
#define _P4ETHER_PUB_H_

#include <linux/skbuff.h>

typedef int p4ether_netif_rx_t(struct sk_buff *skb);

/* shortcut for netif_rx(). */
int p4ether_netif_rx(struct sk_buff *skb);

int p4ether_netif_rx_try(struct sk_buff *skb);

#endif /* _P4ETHER_PUB_H_ */
