/*
 *               ParaStation
 *
 * Copyright (C) 2003-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 *
 * $Id: p4prot_pub.h 3540 2005-02-14 13:37:55Z hauke $
 *
 */
/**
 * p4prot_pub.h: p4prot public Prototypes
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/

#ifndef _P4PROT_PUB_H_
#define _P4PROT_PUB_H_

typedef struct p4_pollfunc_s {
    struct list_head next;
    void (*func)(void);
} p4_pollfunc_t;

void p4_poll_add(p4_pollfunc_t *pollfunc);
void p4_poll_del(p4_pollfunc_t *pollfunc);

#endif /* _P4PROT_PUB_H_ */
