/*
 *               ParaStation
 *
 * Copyright (C) 2002-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 *
 * $Id: pscom_gm.h 4926 2007-06-21 15:02:32Z hauke $
 *
 * psport_gm.h: Header for GM communication
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/

#ifndef _PSPORT_GM_H_
#define _PSPORT_GM_H_

#include "pscom_types.h"

typedef struct psgm_conn {
	struct psgm_con_info	*gmcon;
	int			reading : 1;
} psgm_conn_t;


typedef struct psgm_sock {
	int			readers;
	pscom_poll_reader_t	poll_reader;
} psgm_sock_t;

#endif /* _PSPORT_GM_H_ */
