/**************************************************** -*- linux-c -*- *
 *                  ParaStation
 *
 * Copyright (c) 2007 ParTec Cluster Competence Center GmbH
 * All rights reserved.
 **********************************************************************/
/**
 * $Id: pscom_types.h 4926 2007-06-21 15:02:32Z hauke $
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 **********************************************************************/
#ifndef _PSCOM_TYPES_H_
#define _PSCOM_TYPES_H_

#include "list.h"

typedef struct PSCOM_con pscom_con_t;
typedef struct PSCOM_req pscom_req_t;
typedef struct PSCOM_sock pscom_sock_t;
typedef struct PSCOM pscom_t;

typedef struct pscom_poll_reader pscom_poll_reader_t;
struct pscom_poll_reader {
	struct list_head	next; // Used by pscom.poll_reader
	int (*do_read)(pscom_poll_reader_t *poll_reader); // return 1, if you made progress
};

#endif /* _PSCOM_TYPES_H_ */
