/*
 *               ParaStation
 *
 * Copyright (C) 2002-2004 ParTec AG, Karlsruhe
 * Copyright (C) 2005 Cluster Competence Center GmbH, Munich
 * All rights reserved.
 *
 * $Id: psport_tcp.h 3540 2005-02-14 13:37:55Z hauke $
 *
 * psport_tcp.h: Header for tcp communication
 *
 * @author
 *         Jens Hauke <hauke@par-tec.de>
 *
 * @file
 ***********************************************************/

#ifndef _PSPORT_TCP_H_
#define _PSPORT_TCP_H_

#include "psport_types.h"

typedef struct PSP_ConnTCP_s {
    int	con_fd;
    int ufd_idx;
} PSP_ConnTCP_t;

int PSP_connect_tcp(PSP_Port_t *port, PSP_Connection_t *con, int con_fd);
int PSP_accept_tcp(PSP_Port_t *port, PSP_Connection_t *con, int con_fd);

void PSP_terminate_con_tcp(PSP_Port_t *port, PSP_Connection_t *con);

#endif /* _PSPORT_TCP_H_ */
